Create background process
curl --request POST \
--url https://cloud.laravel.com/api/instances/{instance}/background-processes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processes": 5,
"command": "php artisan my:command",
"config": {
"connection": "redis",
"queue": "default,emails",
"tries": 3,
"backoff": 30,
"sleep": 3,
"rest": 0,
"timeout": 60,
"force": false
}
}
'{
"data": {
"id": "<string>",
"attributes": {
"processes": 123,
"command": "<string>",
"config": [
"<unknown>"
],
"strategy_threshold": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"instance": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"min_replicas": 123,
"max_replicas": 123,
"paused": true,
"is_default": true,
"visibility_timeout": 123,
"polling_interval": 123,
"shutdown_timeout": 123,
"uses_scheduler": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"id": "<string>"
}
]
}
}
}
]
}Background Processes
Create background process
Create a new background process for an instance.
POST
/
instances
/
{instance}
/
background-processes
Create background process
curl --request POST \
--url https://cloud.laravel.com/api/instances/{instance}/background-processes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processes": 5,
"command": "php artisan my:command",
"config": {
"connection": "redis",
"queue": "default,emails",
"tries": 3,
"backoff": 30,
"sleep": 3,
"rest": 0,
"timeout": 60,
"force": false
}
}
'{
"data": {
"id": "<string>",
"attributes": {
"processes": 123,
"command": "<string>",
"config": [
"<unknown>"
],
"strategy_threshold": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"instance": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"min_replicas": 123,
"max_replicas": 123,
"paused": true,
"is_default": true,
"visibility_timeout": 123,
"polling_interval": 123,
"shutdown_timeout": 123,
"uses_scheduler": true,
"scaling_cpu_threshold_percentage": 123,
"scaling_memory_threshold_percentage": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"environment": {
"data": {
"id": "<string>"
}
},
"backgroundProcesses": {
"data": [
{
"id": "<string>"
}
]
}
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The instance identifier
Body
application/json
Was this page helpful?
⌘I

